JGraph X 1.3.0.0

## com.mxgraph.layout.hierarchical.stage
Interface mxHierarchicalLayoutStage

All Known Implementing Classes:
  mxCoordinateAssignment, mxMedianHybridCrossingReduction, mxMinimumCycleRemover

    public interface mxHierarchicalLayoutStage

The specific layout interface for hierarchical layouts. It adds a `run` method with a parameter for the hierarchical layout model that is shared between the layout stages.

Method Summary
`void` `execute(java.lang.Object parent)` Takes the graph detail and configuration information within the facade and creates the resulting laid out graph within that facade for further use.

Method Detail

### execute

    void execute(java.lang.Object parent)

  Takes the graph detail and configuration information within the facade and creates the resulting laid out graph within that facade for further use.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.